Commit ef655ce9 authored by Madhura Bhave's avatar Madhura Bhave

Update sonatype credentials in sync-to-maven-central job

Closes gh-14454
parent 5d219bcd
...@@ -465,8 +465,8 @@ jobs: ...@@ -465,8 +465,8 @@ jobs:
params: params:
BINTRAY_USERNAME: ((bintray-username)) BINTRAY_USERNAME: ((bintray-username))
BINTRAY_PASSWORD: ((bintray-password)) BINTRAY_PASSWORD: ((bintray-password))
SONATYPE_USERNAME: ((sonatype-username)) SONATYPE_USER_TOKEN: ((sonatype-user-token))
SONATYPE_PASSWORD: ((sonatype-password)) SONATYPE_PASSWORD_TOKEN: ((sonatype-user-token-password))
BINTRAY_SUBJECT: ((bintray-subject)) BINTRAY_SUBJECT: ((bintray-subject))
BINTRAY_REPO: ((bintray-repo)) BINTRAY_REPO: ((bintray-repo))
groups: groups:
......
...@@ -12,7 +12,7 @@ echo "Syncing ${buildName}/${buildNumber} to Maven Central" ...@@ -12,7 +12,7 @@ echo "Syncing ${buildName}/${buildNumber} to Maven Central"
--connect-timeout 240 \ --connect-timeout 240 \
--max-time 2700 \ --max-time 2700 \
-u ${BINTRAY_USERNAME}:${BINTRAY_PASSWORD} \ -u ${BINTRAY_USERNAME}:${BINTRAY_PASSWORD} \
-H "Content-Type: application/json" -d "{\"username\": \"${SONATYPE_USERNAME}\", \"password\": \"${SONATYPE_PASSWORD}\"}" \ -H "Content-Type: application/json" -d "{\"username\": \"${SONATYPE_USER_TOKEN}\", \"password\": \"${SONATYPE_PASSWORD_TOKEN}\"}" \
-f \ -f \
-X \ -X \
POST "https://api.bintray.com/maven_central_sync/${BINTRAY_SUBJECT}/${BINTRAY_REPO}/${groupId}/versions/${version}" > /dev/null || { echo "Failed to sync" >&2; exit 1; } POST "https://api.bintray.com/maven_central_sync/${BINTRAY_SUBJECT}/${BINTRAY_REPO}/${groupId}/versions/${version}" > /dev/null || { echo "Failed to sync" >&2; exit 1; }
......
...@@ -8,7 +8,7 @@ params: ...@@ -8,7 +8,7 @@ params:
BINTRAY_SUBJECT: BINTRAY_SUBJECT:
BINTRAY_USERNAME: BINTRAY_USERNAME:
BINTRAY_PASSWORD: BINTRAY_PASSWORD:
SONATYPE_USERNAME: SONATYPE_USER_TOKEN:
SONATYPE_PASSWORD: SONATYPE_PASSWORD_TOKEN:
run: run:
path: git-repo/ci/scripts/sync-to-maven-central.sh path: git-repo/ci/scripts/sync-to-maven-central.sh
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment